<?xml version="1.0" encoding="UTF-8"?>
<scenario begin="online_request">

	<screen type="void" decor="button" title="" id="online_request">
		<fields/>
		<actions>
			<action type="Next" title="Verifica lista prodiselor">
				<if condition="is-not-null id1">
					<then>
						<dialog type="Info" title="Info" message="Plata catre operatorul: {0}" timeout="10" default="okay" mess-params="service_">
							<actions>
								<action type="okay" title="OK"/>
							</actions>
						</dialog>
<!--						<set key="id1" value="0"/>-->
						<!-- <modify src-key="id1" t-key-title="^(.*)$" t-key-value="^(.*)$" v-key="barcode"/>-->
						<online-request type="default" function="adv-check" params="id1">
							<actions>
								<action type="success">
									<if condition="code == 0">
										<then>
											<goto target="confirm"/>
										</then>
										<else>
											<dialog type="Info" title="Eroare" message="Eroare: {0}" timeout="10" default="okay" mess-params="exception">
												<actions>
													<action type="okay" title="OK">
														<cancel/>
													</action>
												</actions>
											</dialog>
										</else>
									</if>
								</action>
								<action type="error">
									<dialog type="Info" title="Eroare" message="A intervenit o eroare, va rugam sa incercati din nou" timeout="10" default="okay">
										<actions>
											<action type="okay" title="OK">
												<cancel/>
											</action>
										</actions>
									</dialog>
								</action>
							</actions>
						</online-request>
					</then>
					<else>
						<goto target="account"/>
					</else>
				</if>
			</action>
			<goto-action type="Inapoi" title="Inapoi" target="previous"/>
			<goto-action type="Pagina principala" title="Pagina principala" target="exit"/>
		</actions>
	</screen>

	<!-- Enel -->
	<screen id="account" type="numeric" title="Introduceti codul de plata">
		<fields>
			<text-field id="id1" keyboard="Digital" max-len="99" message="Introduceti codul de plata" title="Cod plata">
				<validator type="regex">
					<rules>
						<rule regex="^[0-9]{9,40}$"/>
					</rules>
				</validator>
				<help>
					<![CDATA[<html>Introduceti codul de plata sau scanati codul de bare.]]>
				</help>
			</text-field>
		</fields>
		<barcode-scanner>
			<barcode-parser type="regex">
				<rules validate="^.*$">
					<rule key="id1" title="Cod" regex="^(.*)$" is-bind="true"/>
				</rules>
			</barcode-parser>
		</barcode-scanner>
		<actions>
			<action type="Next" title="Inainte">
				<online-request type="default" function="adv-check" params="id1">
					<actions>
						<action type="success">
							<if condition="code == 0">
								<then>
									<goto target="confirm"/>
								</then>
								<else>
									<dialog type="Info" title="Eroare" message="Eroare: {0}" timeout="10" default="okay" mess-params="exception">
										<actions>
											<action type="okay" title="OK">
												<cancel/>
											</action>
										</actions>
									</dialog>
								</else>
							</if>
						</action>
						<action type="error">
							<dialog type="Info" title="Eroare" message="A intervenit o eroare, va rugam sa incercati din nou" timeout="10" default="okay">
								<actions>
									<action type="okay" title="OK">
										<cancel/>
									</action>
								</actions>
							</dialog>
						</action>
					</actions>
				</online-request>
			</action>
			<action type="Prev" title="Inapoi">
				<goto target="previous"/>
			</action>
			<action type="Exit" title="Pagina principala">
				<goto target="exit"/>
			</action>
		</actions>
	</screen>

	<!-- Confirm -->
	<screen id="confirm" type="confirm" title="Confirmare">
		<fields list="cod_client,suma"/>
		<actions>
			<action type="Next" title="Achita">
				<goto target="pay"/>
			</action>
			<action type="Prev" title="Inapoi">
				<goto target="account"/>
			</action>
			<action type="Exit" title="Acasa">
				<goto target="exit"/>
			</action>
		</actions>
	</screen>
</scenario>
